FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 08-24-2008, 09:31 PM
"David L. Craig"
 
Default Exim4 Start Problem

I recently started working on configuring my exim4 under Sid
and started getting failures when attempting to restart the
daemon. I added shell traces to /etc/init.d/exim4 and get the
following:

muse:/etc/exim4# /etc/init.d/exim4 start
Starting MTA:+ case ${QUEUERUNNER} in
+ start_daemon -p /var/run/exim4/exim.pid /usr/sbin/exim4 -bd -q30m ' ' '
+ local force nice pidfile exec i
+ force=0
+ nice=0
+ pidfile=/dev/null
+ OPTIND=1
+ getopts fn: opt
+ case "$opt" in
+ pidfile=/var/run/exim4/exim.pid
+ getopts fn: opt
+ shift 2
+ '[' /usr/sbin/exim4 = -- ']'
+ exec=/usr/sbin/exim4
+ shift
+ '[' 0 = 1 ']'
+ '[' /var/run/exim4/exim.pid ']'
+ /sbin/start-stop-daemon --start --nicelevel 0 --quiet --exec /usr/sbin/exim4 --oknodo --pidfile /var/run/exim4/exim.pid -- -bd -q30m ' ' '
exim: incompatible command-line options or arguments
muse:/etc/exim4# ls -Fla /etc/init.d/ex*
-rwxr-xr-x 1 root root 6516 2008-08-24 17:15 /etc/init.d/exim4*
-rwxr-xr-x 1 root root 6502 2008-01-17 10:20 /etc/init.d/exim4.orig*
muse:/etc/exim4# dpkg -l exim*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-=============================-=============================-================================================== ========================
pn exim <none> (no description available)
pn exim-doc <none> (no description available)
pn exim-doc-html <none> (no description available)
un exim-tls <none> (no description available)
ii exim4 4.69-2 meta-package to ease Exim MTA (v4) installation
ii exim4-base 4.69-2 support files for all Exim MTA (v4) packages
ii exim4-config 4.69-2 configuration for the Exim MTA (v4)
un exim4-config-2 <none> (no description available)
un exim4-daemon-custom <none> (no description available)
pn exim4-daemon-heavy <none> (no description available)
pn exim4-daemon-heavy-dbg <none> (no description available)
ii exim4-daemon-light 4.69-2 lightweight Exim MTA (v4) daemon
pn exim4-daemon-light-dbg <none> (no description available)
pn exim4-dbg <none> (no description available)
pn exim4-doc-html <none> (no description available)
pn exim4-doc-info <none> (no description available)
un exim4-localscanapi-1.0 <none> (no description available)
un exim4-localscanapi-1.1 <none> (no description available)
un eximdoc4-html <none> (no description available)
un eximdoc4-info <none> (no description available)
pn eximon <none> (no description available)
pn eximon4 <none> (no description available)
muse:/etc/exim4#
--

May the LORD God bless you exceedingly abundantly!

Dave Craig

- - - - - - - - - - - - - - - - - - - -
"'So the universe is not quite as you thought it was.
You'd better rearrange your beliefs, then.
Because you certainly can't rearrange the universe.'"

--from _Nightfall_ by Asimov/Silverberg


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 08-24-2008, 11:01 PM
Florian Kulzer
 
Default Exim4 Start Problem

On Sun, Aug 24, 2008 at 17:31:44 -0400, David L. Craig wrote:
> I recently started working on configuring my exim4 under Sid
> and started getting failures when attempting to restart the
> daemon. I added shell traces to /etc/init.d/exim4 and get the
> following:
>
> muse:/etc/exim4# /etc/init.d/exim4 start

[...]

> + /sbin/start-stop-daemon --start --nicelevel 0 --quiet --exec /usr/sbin/exim4 --oknodo --pidfile /var/run/exim4/exim.pid -- -bd -q30m ' ' '
> exim: incompatible command-line options or arguments

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476987

> ii exim4 4.69-2
> ii exim4-base 4.69-2
> ii exim4-config 4.69-2
> ii exim4-daemon-light 4.69-2

The problem should go away once you upgrade to 4.69-6.

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 03:55 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org